My Oracle Support Banner

Requirements for Installing Oracle Database/Client 12.2 on OL8 or RHEL8 64-bit (x86-64) (Doc ID 2879975.1)

Last updated on SEPTEMBER 13, 2022

Applies to:

Oracle Database Cloud Service - Version N/A and later
Oracle Database Cloud Exadata Service - Version N/A and later
Oracle Database - Enterprise Edition - Version 12.2.0.1 and later
Oracle Database Backup Service - Version N/A and later
Gen 1 Exadata Cloud at Customer (Oracle Exadata Database Cloud Machine) - Version N/A and later
Linux x86-64

Purpose

                                                                                                         **********IMPORTANT*********

Certification of 12.2.0.1 on OL/RHEL 8 is mainly to facilitate Upgrades/Migrations to 19c.

End of Patching Support for 12.2.0.1 Release was March 31, 2022 and is now in Sustaining Support. See Release Schedule of Current Database Releases (Doc ID 742060.1)
For more information related to Error Correction for 12.2.0.1, Please refer to the below MOS Note -Frequently Asked Questions for Database 12.2.0.1 Limited Error Correction (Doc ID 2665835.1)


Oracle Database 19c is the Long-term Database Release and all customers are requested to move to 19c to avoid being without patching when their current versions move into Sustaining Support.

See Requirements for Installing Oracle Database/Client 19c on OL8 or RHEL8 64-bit (x86-64) (Doc ID 2668780.1)


This note explains the requirements that need to be met for a successful installation of Oracle Database 12.2 release On Oracle Linux 8 (or higher) or Red Hat Enterprise Linux 8 (or higher) 64-bit (x86-64).

It is NOT the purpose of this NOTE to repeat every "how-to" step that is presented in the Oracle Database 12.2 Installation Guide. For example this NOTE does not include how to create the Linux OS account named "oracle", nor does it cover how to set environment variables. Both are adequately covered in "Oracle® Database Installation Guide 12.2 for Linux"

Scope

This procedure is meant for those Planning / Installing Oracle Database 12.2 on Oracle Linux 8 (or higher) or RHEL 8 (or higher) on the 64-bit (x86-64) platform. Since it is the expressed goal to keep Oracle Linux (OL) functionally IDENTICAL to RHEL, this NOTE is also completely applicable to 64-bit (x86-64) OL 8.

Oracle Grid Infrastructure 12.2 is not certified on OL/RHEL 8.RAC 12.2 is certified on OL / RHEL 8 (In order to install RAC 12.2 on OL8/RHEL 8, Grid Infrastructure 19c + 19.13 RU or later is required). However, In view of differences in the RPM & other requirements,This procedure is not to be followed for  Planning / Installing Grid Infrastructure (GI) or any other Oracle products.

Details

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Purpose
Scope
Details
 Hardware
 Minimum Hardware Requirements
 Software
 Certified Operating System
 Kernel requirements
 Storage Checklist for Oracle Database
 Minimum Operating System Resource Parameter Settings
 Minimum Operating System Software/RPM Requirements
 Running Oracle Database Setup Wizard to Install Oracle Database
 Known Issues
 ADDITIONAL NOTES
References

My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.